You are not logged in.

#1 2005-08-13 04:44:36

Gullible Jones
Member
Registered: 2004-12-29
Posts: 4,863

Mozilla plugin does not compile in totem 1.1.4

The PKGBUILD for totem-devel that I put on the AUR worked fine with Totem 1.1.3, but with 1.1.4, the mozilla plugin isn't compiled. No errors, no aborted builds, nada... The libtotem-mozilla.* files simply are not generated, so no plugin. :x

Any help would be appreciated...

Offline

#2 2005-08-13 06:53:49

Snowman
Developer/Forum Fellow
From: Montreal, Canada
Registered: 2004-08-20
Posts: 5,212

Re: Mozilla plugin does not compile in totem 1.1.4

Check
$startdir/src/totem-1.1.4/src/Makefile 
The sections about the plugin are commented.  You'll probably need to get them uncommented (patch ?) to get plugins to compile/install.  You seem to be sending the right option (--enable-mozilla) to configure script. Weird :?

Offline

#3 2005-08-13 14:09:56

Gullible Jones
Member
Registered: 2004-12-29
Posts: 4,863

Re: Mozilla plugin does not compile in totem 1.1.4

Maybe I could use sed to uncomment them?

(Gack... I'm no good with sed. :oops: )

Offline

#4 2005-08-13 14:37:44

T-Dawg
Forum Fellow
From: Wilmington, NC
Registered: 2005-01-29
Posts: 2,734

Re: Mozilla plugin does not compile in totem 1.1.4

Gullible Jones wrote:

Maybe I could use sed to uncomment them?

(Gack... I'm no good with sed. :oops: )

just find the extact line and insert it like this:

grep #whatever_keywords_in_the_line '$startdir/src/totem-1.1.4/src/Makefile' |sed -e 's|#||g' -i "$startdir/src/totem-1.1.4/src/Makefile"

or

sed -e 's|#entire_line|entire_line|g' -i "$startdir/src/totem-1.1.4/src/Makefile"

Offline

#5 2005-08-13 15:37:02

Gullible Jones
Member
Registered: 2004-12-29
Posts: 4,863

Re: Mozilla plugin does not compile in totem 1.1.4

Umm, there is no Makefile in either the tar.bz2 or tar.gz, only Makefile.am and Makefile.in. Neither Makefile.am or Makefile.in contains anything about the mozilla plugin that is commented out, or anything that is commented out other than comments for that matter.

Offline

#6 2005-08-13 22:15:59

JGC
Developer
Registered: 2003-12-03
Posts: 1,659

Re: Mozilla plugin does not compile in totem 1.1.4

Totem 1.1.4 requires dbus 0.35 to build the mozilla plugin.

Offline

#7 2005-08-14 01:40:36

Gullible Jones
Member
Registered: 2004-12-29
Posts: 4,863

Re: Mozilla plugin does not compile in totem 1.1.4

Okay, thanks... how's the situate with dbus 0.35.2 with regards to stability?

Offline

#8 2005-08-15 17:09:27

JGC
Developer
Registered: 2003-12-03
Posts: 1,659

Re: Mozilla plugin does not compile in totem 1.1.4

DBus 0.35.2 works just fine. Totem plugin doesn't work however, seems you need gst-ffmpeg 0.8.6, while we have 0.8.5.

Offline

#9 2005-08-17 21:50:16

Gullible Jones
Member
Registered: 2004-12-29
Posts: 4,863

Re: Mozilla plugin does not compile in totem 1.1.4

So the Mozilla plugin won't compile with Xine now? That is really dumb... the majority of streaming video on the web simply isn't supported by ffmpeg.

Offline

#10 2005-08-17 23:46:04

JGC
Developer
Registered: 2003-12-03
Posts: 1,659

Re: Mozilla plugin does not compile in totem 1.1.4

Ah, I was talking about the gstreamer backend for the mozilla plugin.

Offline

#11 2005-08-18 03:16:14

Gullible Jones
Member
Registered: 2004-12-29
Posts: 4,863

Re: Mozilla plugin does not compile in totem 1.1.4

Yep, gotcha. No idea why anyone would want to use the plugin with GStreamer, since almost *all* the formats supported by the plugin (Quicktime, Real, and most Windows Media) are not supported by ffmpeg.

Offline

#12 2005-08-18 18:04:27

JGC
Developer
Registered: 2003-12-03
Posts: 1,659

Re: Mozilla plugin does not compile in totem 1.1.4

ffmpeg is mainly used for colorspace conversions and more of those things. Also, the ffmpeg used in GStreamer is a fork of the normal ffmpeg, so the support of fileformats in ffmpeg itself doesn't say a thing about the ffmpeg filesupport in GStreamer.

Offline

Board footer

Powered by FluxBB